## org.apache.tools.ant.taskdefs.condition
Class Http

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.taskdefs.condition.Http

All Implemented Interfaces:
  Condition

public class Http
extends ProjectComponent
implements Condition

Condition to wait for a HTTP request to succeed. Its attribute(s) are: url - the URL of the request. errorsBeginAt - number at which errors begin at; default=400.

Since:
  Ant 1.5
Author:
  Denis Hennessy

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Http()`

Method Summary
`boolean` `eval()` Is this condition true?
`void` `setErrorsBeginAt(int errorsBeginAt)` Set the errorsBeginAt attribute
`void` `setUrl(java.lang.String url)` Set the url attribute

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Http

    public Http()

Method Detail

### setUrl

    public void setUrl(java.lang.String url)

  Set the url attribute

  Parameters:
    `url` - the url of the request

### setErrorsBeginAt

    public void setErrorsBeginAt(int errorsBeginAt)

  Set the errorsBeginAt attribute

  Parameters:
    `errorsBeginAt` - number at which errors begin at, default is 400

### eval

    public boolean eval()
                 throws BuildException

  Description copied from interface: `Condition`
  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the HTTP request succeeds
  Throws:
    `BuildException` - if an error occurs

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.